<!doctype html>
<html lang=fr>
	<head>
		<title>Modifier infos personnelles</title>
		<meta charset=utf-8>
		<link rel="stylesheet" href="nogstyle.css">
	</head>
	
	<body>
		<?php
			session_start();
			if (!isset($_SESSION['Autorisation']))
			{
				header("Location: index.php");
				exit();
			} 
			else
			{
				// Select info sur l'acteur 
				require ('connect/mysqli_connect.php');
				$id=$_SESSION['NumAct'];
				$q = 'SELECT * FROM acteur WHERE numAct='.$id.';';	
				$result = mysqli_query ($dbcon, $q) or die ("erreur sql");
				
				// Check the result:
				if (@mysqli_num_rows($result)==1)
				{     //The user input matched the database record		 
					$donnees = mysqli_fetch_array ($result, MYSQLI_ASSOC); // fetch the record and insert the three values in an array
				}
				else
				{
					echo 'Erreur';
				}
			}
	?>
	
		<header>
			<?php 
				include('includes/header_simple.inc'); 
				echo'<h3>'.$_SESSION['PrenomAct'].' '.$_SESSION['NomAct'].'&nbsp;-&nbsp; '.$_SESSION['NomEtab'].'</h3>';
				$autorisation = intval($_SESSION['Autorisation']);	// Ensures the user level is an integer.					
				if ($autorisation ==0)
				{
        			include('includes/menu_etudiant.inc');				//etudiant
        		}
    			elseif ($autorisation ==1)
    			{
					include('includes/menu_prof.inc');
				}
        		elseif ($autorisation ==2)
        		{
					include('includes/menu_admin.inc');
				}
				else
				{
					echo'erreur autorisation';
				}
			?>
		</header>
		<article>	
			<?php											
				// Récup données"
				if ($_SERVER['REQUEST_METHOD'] == 'POST')
				{
					$errors = array();
					$Ident = mysqli_real_escape_string($dbcon, trim($_POST['Ident']));
					$email= mysqli_real_escape_string($dbcon, trim($_POST['email']));
					$Mdp1= mysqli_real_escape_string($dbcon, trim($_POST['Mdp1']));
					$Mdp2= mysqli_real_escape_string($dbcon, trim($_POST['Mdp2']));
					
					////////////////////Vérif données étudiant////////////////////////////////////////////////////////////			
					if ($autorisation ==0) 
					{
						$Numins= mysqli_real_escape_string($dbcon, trim($_POST['Numins']));
						// Verif Date naisssance					
						if(empty($_POST['jour']) || empty($_POST['mois']) || empty($_POST['annee']))
						{	//date naiss inchangée
							$datenaiss=$donnees['datenaissAct'];
						}
						else
						{
							$datenaiss = $_POST['annee'] .'-'. $_POST['mois'] .'-' . $_POST['jour'];
							if (($timestamp = strtotime($datenaiss)) === false)
							{
								$errors[] =  "bug ds date";
							}
						}
					}
					///////////////////////Vérif données prof  et admin/////////////////////////////////////
					else
					{
						// num inscv et date naiss inutiles
						$datenaiss = '1900-01-01';
						$Numins=0;
					}
												
					//////////////////////// Vérif données communes//////////////////////////////////////////
							// -- Identifiant déjà utilisé ???
							// Recherche des lignes avec le même identifiant
							
							$q = "SELECT LoginAct FROM acteur WHERE LoginAct = '$Ident' AND NumAct != $id";
							$result = @mysqli_query($dbcon, $q);
							
							
							if(!preg_match('/^[a-zA-Z0-9._-]{6,30}$/',$Ident)) 
							{
								$errors[] = ' L\'identifiant est incorrect (de 6 à 30 caractères sans espaces) : '.$Ident;
							}
							if (mysqli_num_rows($result) !== 0)
							{
								$errors[] = 'Cet identifiant est utilisé par quelqu\'un d\'autre';
							}
							// MDP
							
							if (!empty($Mdp1))
							{
								if(!preg_match('/^\w{6,12}$/',$Mdp1)) // le Mdp ne doit contenir que de l'alphanumérique et de longueur 6 à 12
								{
									$errors[] = 'Mdp incorrect, Utiliser de 6 à 12 caratères sans espaces.';
								}
								if ($Mdp1!=$Mdp2)
								{
									$errors[] = 'Les mots de passe sont différents';
								}
							}
							else
							{
								$Mdp1=$donnees['MdpAct']; // Si le mot de passe est vide on garde l'ancien mot de passe'
							}

						// si pas d'erreurs on met à jour la Bdd'	
						if (empty($errors))
						{
							$q = "UPDATE acteur SET LoginAct='$Ident', mailAct='$email', datenaissAct='$datenaiss', NumInscAct ='$Numins', MdpAct='$Mdp1'  WHERE NumAct='$id'";
							$result = @mysqli_query ($dbcon, $q) or die('<div class="alert echec">Erreur SQL!<br/>'.$q.'<br/>'.mysql_error().'</div>');;
							if (mysqli_affected_rows($dbcon) == 1) 
							{// If it ran OK
								echo '<div class="alert succes">Compte mis à jour';	
								echo'<p>Retour au MENU PRINCIPAL &nbsp';

								if ($autorisation ==1)// prof
								{
									echo'<a class="bouton10 "href="prof_accueil.php?" >OK</a></p></div>';
									exit;
								}
								elseif($autorisation ==0)// eleve
								{
									echo'<a class="bouton10" href="etudiant_accueil.php?" >OK</a></p></div>';
									exit;
								}
								elseif($autorisation ==2)// admin
								{
									echo'<a class="bouton10" href="admin_accueil.php?" >OK</a></p></div>';
									exit;
								}
							}			
							else 
							{ 
								echo '<div class="alert echec">Pas de modifications : Réessayez .</div>'; // Echo a message if the query failed
							}
						}
						else
						{ 	// Display the errors
							echo '<div class="alert echec"> ERREURS !! Pas de modifications : : <br />';
							foreach ($errors as $msg)
							{ // Echo each error.
								echo '- '.$msg.'<br/>';	
							}
							echo'</div>';
								
						} // End of if (empty($errors))section
				}
			?>
			<!///------debut page////////////////////////////////////////////////------>	
						
			<h2>Modification données personnelles</h2>

			<form action="xx_compte_modif.php" method="post">	
				<p>
					<label class="label300d" for="Nom">Nom </label>
					<b><?php echo $donnees['NomAct'] ?></b>
					<br>
					<label class="label300d" for="Prenom">Prénom </label>
					<b><?php echo $donnees['PrenomAct'] ?></b>
					<br/>
					<label class="label300d" for="etab">Etablissement </label>
					<b><?php echo $_SESSION['NomEtab'] ?></b>
				</p>
				
				<p>
					<label class="label300d" >Identifiant </label>
					<input  type="text" name="Ident" size="30" maxlength="30" value= <?php echo $donnees['LoginAct'] ?> >
				</p>
				<p>
					<label class="label300d" for="email"> Adresse Mail </label>
					<input type="text" name="email" size="30" maxlength="50" value=<?php echo $donnees['mailAct'] ?> >
				</p>

				<p>
					<label class="label300d" for="Mdp1">Nouveau mot de passe</label>
					<input type="password" name="Mdp1" size="12" maxlength="12"  >
				</p>
				<p>
					<label class="label300d" for="Mdp2">Confirmez nouveau mot de passe</label>
					<input  type="password" name="Mdp2" size="12" maxlength="12"  >
				</p>
				
				<?php
					if ($autorisation ==0)
					{	// étudiant
						echo'	<p><label class="label300d" for="datenaiss">Date de naissance </label>';
						$datenaiss= date("d/m/Y", strtotime($donnees['datenaissAct']));
						$journaiss= substr($datenaiss,0, 2);
					 	$moisnaiss=substr($datenaiss,3, 2);
					 	$anneenaiss=substr($datenaiss,6, 4);
							
						//Variable qui ajoutera l'attribut selected de la liste déroulante
						// Parcours du tableau<--->
		  						
						echo'	<select name="jour" id="jour">';
						for ($i = 1; $i <= 31; $i++)
						{
							echo '<option value="' . $i . '"';
							if ($journaiss == $i) 
							{  
								echo ' selected="selected"';
							}
							echo ">" . $i . "</option>";
					}
						echo'	</select>
								<select name="mois" id="mois">';
		 				for ($i = 1 ; $i <= 12 ; $i++)
				 		{
							echo '<option value="' . $i . '"';
							if ($moisnaiss  == $i)
							{ 
								echo ' selected="selected"';
							}
							echo ">" . $i . "</option>";
					}
		 				echo' </select>
	 							<select name="annee" id="annee">';
	 					for ($i = intval(date('Y') - 16); $i >= 1960; $i--)
				 		{
							echo '<option value="' . $i . '"';
							if ($anneenaiss  == $i) 
							{ 
								echo ' selected="selected"';
							}
							echo ">" . $i . "</option>";
					}
	 					echo'	</select>
	 							</p>
	 							<p>
								<label class="label300d" for="Numins">Numéro d\'incription </label>';
						echo'<input  type="text" name="Numins" size="10" maxlength="10" value= '.$donnees['NumInscAct'].' ></p>';
					}
					elseif ($autorisation ==1)
					{ 	// prof
						echo' 
							<p>
								<br>
								<label class="label300d" for="codeEta">Code Etablissement </label>
								<b>'.$_SESSION['CodeEtab'].'</b>';
						echo '<label class="commentaire" for="codeet">(permet l\'enregistrement de nouveaux étudiants) </label></p>';
					}
					
				?>
				<br>
				<p class="centre40">
				<input class="centre40" type="submit" name="submit" value="Mettre à jour"></p>
			</form>	
		</article>
		<footer>
			<?php include ('includes/footer.inc'); ?>
		</footer>
	</body>
</html>